package keymon.lat.medicomed;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class main_subs_0 {


public static RemoteObject  _activity_actionbarhomeclick() throws Exception{
try {
		Debug.PushSubsStack("Activity_ActionBarHomeClick (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,36);
if (RapidSub.canDelegate("activity_actionbarhomeclick")) { return keymon.lat.medicomed.main.remoteMe.runUserSub(false, "main","activity_actionbarhomeclick");}
 BA.debugLineNum = 36;BA.debugLine="Sub Activity_ActionBarHomeClick";
Debug.ShouldStop(8);
 BA.debugLineNum = 37;BA.debugLine="ActionBarHomeClicked = True";
Debug.ShouldStop(16);
main._actionbarhomeclicked = main.mostCurrent.__c.getField(true,"True");
 BA.debugLineNum = 38;BA.debugLine="B4XPages.Delegate.Activity_ActionBarHomeClick";
Debug.ShouldStop(32);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (keymon.lat.medicomed.b4xpagesdelegator.class, "_activity_actionbarhomeclick" /*RemoteObject*/ );
 BA.debugLineNum = 39;BA.debugLine="ActionBarHomeClicked = False";
Debug.ShouldStop(64);
main._actionbarhomeclicked = main.mostCurrent.__c.getField(true,"False");
 BA.debugLineNum = 40;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,28);
if (RapidSub.canDelegate("activity_create")) { return keymon.lat.medicomed.main.remoteMe.runUserSub(false, "main","activity_create", _firsttime);}
RemoteObject _pm = RemoteObject.declareNull("keymon.lat.medicomed.b4xpagesmanager");
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 28;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 29;BA.debugLine="Dim pm As B4XPagesManager";
Debug.ShouldStop(268435456);
_pm = RemoteObject.createNew ("keymon.lat.medicomed.b4xpagesmanager");Debug.locals.put("pm", _pm);
 BA.debugLineNum = 30;BA.debugLine="pm.Initialize(Activity)";
Debug.ShouldStop(536870912);
_pm.runClassMethod (keymon.lat.medicomed.b4xpagesmanager.class, "_initialize" /*RemoteObject*/ ,main.mostCurrent.activityBA,(Object)(main.mostCurrent._activity));
 BA.debugLineNum = 31;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_keypress(RemoteObject _keycode) throws Exception{
try {
		Debug.PushSubsStack("Activity_KeyPress (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,42);
if (RapidSub.canDelegate("activity_keypress")) { return keymon.lat.medicomed.main.remoteMe.runUserSub(false, "main","activity_keypress", _keycode);}
Debug.locals.put("KeyCode", _keycode);
 BA.debugLineNum = 42;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
Debug.ShouldStop(512);
 BA.debugLineNum = 43;BA.debugLine="Return B4XPages.Delegate.Activity_KeyPress(KeyCod";
Debug.ShouldStop(1024);
if (true) return main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (keymon.lat.medicomed.b4xpagesdelegator.class, "_activity_keypress" /*RemoteObject*/ ,(Object)(_keycode));
 BA.debugLineNum = 44;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,50);
if (RapidSub.canDelegate("activity_pause")) { return keymon.lat.medicomed.main.remoteMe.runUserSub(false, "main","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 50;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(131072);
 BA.debugLineNum = 51;BA.debugLine="B4XPages.Delegate.Activity_Pause";
Debug.ShouldStop(262144);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (keymon.lat.medicomed.b4xpagesdelegator.class, "_activity_pause" /*RemoteObject*/ );
 BA.debugLineNum = 52;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_permissionresult(RemoteObject _permission,RemoteObject _result) throws Exception{
try {
		Debug.PushSubsStack("Activity_PermissionResult (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,54);
if (RapidSub.canDelegate("activity_permissionresult")) { return keymon.lat.medicomed.main.remoteMe.runUserSub(false, "main","activity_permissionresult", _permission, _result);}
Debug.locals.put("Permission", _permission);
Debug.locals.put("Result", _result);
 BA.debugLineNum = 54;BA.debugLine="Sub Activity_PermissionResult (Permission As Strin";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 55;BA.debugLine="B4XPages.Delegate.Activity_PermissionResult(Permi";
Debug.ShouldStop(4194304);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (keymon.lat.medicomed.b4xpagesdelegator.class, "_activity_permissionresult" /*RemoteObject*/ ,(Object)(_permission),(Object)(_result));
 BA.debugLineNum = 56;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,46);
if (RapidSub.canDelegate("activity_resume")) { return keymon.lat.medicomed.main.remoteMe.runUserSub(false, "main","activity_resume");}
 BA.debugLineNum = 46;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(8192);
 BA.debugLineNum = 47;BA.debugLine="B4XPages.Delegate.Activity_Resume";
Debug.ShouldStop(16384);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (keymon.lat.medicomed.b4xpagesdelegator.class, "_activity_resume" /*RemoteObject*/ );
 BA.debugLineNum = 48;BA.debugLine="End Sub";
Debug.ShouldStop(32768);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _create_menu(RemoteObject _menu) throws Exception{
try {
		Debug.PushSubsStack("Create_Menu (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,58);
if (RapidSub.canDelegate("create_menu")) { return keymon.lat.medicomed.main.remoteMe.runUserSub(false, "main","create_menu", _menu);}
Debug.locals.put("Menu", _menu);
 BA.debugLineNum = 58;BA.debugLine="Sub Create_Menu (Menu As Object)";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 59;BA.debugLine="B4XPages.Delegate.Create_Menu(Menu)";
Debug.ShouldStop(67108864);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (keymon.lat.medicomed.b4xpagesdelegator.class, "_create_menu" /*RemoteObject*/ ,(Object)(_menu));
 BA.debugLineNum = 60;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 23;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 24;BA.debugLine="Type CameraInfoAndId (CameraInfo As Object, Id As";
;
 //BA.debugLineNum = 25;BA.debugLine="Type CameraSize (Width As Int, Height As Int)";
;
 //BA.debugLineNum = 26;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main_subs_0._process_globals();
starter_subs_0._process_globals();
subs_subs_0._process_globals();
appupdater_subs_0._process_globals();
mapa_rutas_subs_0._process_globals();
tracker_subs_0._process_globals();
newinst2_subs_0._process_globals();
b4xpages_subs_0._process_globals();
b4xcollections_subs_0._process_globals();
httputils2service_subs_0._process_globals();
xuiviewsutils_subs_0._process_globals();
main.myClass = BA.getDeviceClass ("keymon.lat.medicomed.main");
b4xmainpage.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xmainpage");
starter.myClass = BA.getDeviceClass ("keymon.lat.medicomed.starter");
c_principal.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_principal");
c_cliente.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_cliente");
c_clientes.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_clientes");
c_mapas.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_mapas");
c_nota.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_nota");
c_noventa.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_noventa");
subs.myClass = BA.getDeviceClass ("keymon.lat.medicomed.subs");
c_ticketsdia.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_ticketsdia");
cameraexclass2.myClass = BA.getDeviceClass ("keymon.lat.medicomed.cameraexclass2");
appupdater.myClass = BA.getDeviceClass ("keymon.lat.medicomed.appupdater");
batteryutilities.myClass = BA.getDeviceClass ("keymon.lat.medicomed.batteryutilities");
c_historico.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_historico");
c_nuevocliente.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_nuevocliente");
c_pedidos.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_pedidos");
c_productos.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_productos");
c_promos.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_promos");
c_updateavailable.myClass = BA.getDeviceClass ("keymon.lat.medicomed.c_updateavailable");
dbrequestmanager.myClass = BA.getDeviceClass ("keymon.lat.medicomed.dbrequestmanager");
mapa_rutas.myClass = BA.getDeviceClass ("keymon.lat.medicomed.mapa_rutas");
tracker.myClass = BA.getDeviceClass ("keymon.lat.medicomed.tracker");
cl_appupdate.myClass = BA.getDeviceClass ("keymon.lat.medicomed.cl_appupdate");
newinst2.myClass = BA.getDeviceClass ("keymon.lat.medicomed.newinst2");
b4xpages.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xpages");
b4xbitset.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xbitset");
b4xbytesbuilder.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xbytesbuilder");
b4xcache.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xcache");
b4xcollections.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xcollections");
b4xcomparatorsort.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xcomparatorsort");
b4xorderedmap.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xorderedmap");
b4xset.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xset");
b4xpagesdelegator.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xpagesdelegator");
b4xpagesmanager.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xpagesmanager");
httputils2service.myClass = BA.getDeviceClass ("keymon.lat.medicomed.httputils2service");
httpjob.myClass = BA.getDeviceClass ("keymon.lat.medicomed.httpjob");
animatedcounter.myClass = BA.getDeviceClass ("keymon.lat.medicomed.animatedcounter");
anotherprogressbar.myClass = BA.getDeviceClass ("keymon.lat.medicomed.anotherprogressbar");
b4xbreadcrumb.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xbreadcrumb");
b4xcolortemplate.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xcolortemplate");
b4xcombobox.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xcombobox");
b4xdatetemplate.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xdatetemplate");
b4xdialog.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xdialog");
b4xfloattextfield.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xfloattextfield");
b4ximageview.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4ximageview");
b4xinputtemplate.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xinputtemplate");
b4xlisttemplate.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xlisttemplate");
b4xloadingindicator.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xloadingindicator");
b4xlongtexttemplate.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xlongtexttemplate");
b4xplusminus.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xplusminus");
b4xradiobutton.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xradiobutton");
b4xsearchtemplate.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xsearchtemplate");
b4xseekbar.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xseekbar");
b4xsignaturetemplate.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xsignaturetemplate");
b4xswitch.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xswitch");
b4xtimedtemplate.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xtimedtemplate");
madewithlove.myClass = BA.getDeviceClass ("keymon.lat.medicomed.madewithlove");
b4xformatter.myClass = BA.getDeviceClass ("keymon.lat.medicomed.b4xformatter");
roundslider.myClass = BA.getDeviceClass ("keymon.lat.medicomed.roundslider");
scrollinglabel.myClass = BA.getDeviceClass ("keymon.lat.medicomed.scrollinglabel");
swiftbutton.myClass = BA.getDeviceClass ("keymon.lat.medicomed.swiftbutton");
xuiviewsutils.myClass = BA.getDeviceClass ("keymon.lat.medicomed.xuiviewsutils");
preoptimizedclv.myClass = BA.getDeviceClass ("keymon.lat.medicomed.preoptimizedclv");
fileprovider.myClass = BA.getDeviceClass ("keymon.lat.medicomed.fileprovider");
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 19;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 20;BA.debugLine="Public ActionBarHomeClicked As Boolean";
main._actionbarhomeclicked = RemoteObject.createImmutable(false);
 //BA.debugLineNum = 21;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}